diff --git a/web/pgadmin/browser/templates/browser/js/node.js b/web/pgadmin/browser/templates/browser/js/node.js
index afb4648..0fa6032 100644
--- a/web/pgadmin/browser/templates/browser/js/node.js
+++ b/web/pgadmin/browser/templates/browser/js/node.js
@@ -1093,7 +1093,10 @@ function($, _, S, pgAdmin, Menu, Backbone, Alertify, pgBrowser, Backform) {
             delete view.model.tnode;
 
             if (that.parent_type) {
-              if (tree.wasLoad(item)) {
+              // If same type of object is already loaded in tree
+              if (tree.wasLoad(item) ||
+                    // Or else this is a first object (Server) in the tree
+                    (d._id == 1 && d._pid == 1)) {
                 var first = tree.first(item, false),
                     data = first && first.length && tree.itemData(first);
 
